| Home | Libraries | People | FAQ | More

## Function template hex_lower

boost::algorithm::hex_lower — Converts a sequence of integral types into a lower case hexadecimal sequence of characters.

## Synopsis

    // In header: <boost/algorithm/hex.hpp>

    template<typename InputIterator, typename OutputIterator>
      unspecified hex_lower(InputIterator first, InputIterator last,
                            OutputIterator out);

## Description

| Note
Based on the MySQL function of the same name

Parameters:

`first` | The start of the input sequence
`last` | One past the end of the input sequence
`out` | An output iterator to the results into

Returns: | The updated output iterator